Page MenuHomePhabricator

Add -plugin-opt=sample-profile for thinLTO build.
ClosedPublic

Authored by danielcdh on Dec 15 2016, 3:42 PM.

Event Timeline

danielcdh updated this revision to Diff 81681.Dec 15 2016, 3:42 PM
danielcdh retitled this revision from to Add -plugin-opt=sample-profile for thinLTO build..
danielcdh updated this object.
danielcdh added a subscriber: cfe-commits.
mehdi_amini edited edge metadata.Dec 15 2016, 4:16 PM

Is this covered by a driver test usually?

danielcdh updated this revision to Diff 81759.Dec 16 2016, 8:40 AM
danielcdh edited edge metadata.

add a test.

bruno added a subscriber: bruno.Dec 19 2016, 11:59 AM
bruno added inline comments.
lib/Driver/Tools.cpp
2211

"fname" -> "FName", "FileName", etc, or any name that starts with a capital letter

mehdi_amini accepted this revision.Dec 20 2016, 1:13 PM
mehdi_amini edited edge metadata.

LGTM, but fix what @bruno spotted before committing.

This revision is now accepted and ready to land.Dec 20 2016, 1:13 PM
danielcdh updated this revision to Diff 82975.Jan 3 2017, 4:43 PM
danielcdh edited edge metadata.

fix function name

danielcdh closed this revision.Jan 3 2017, 4:44 PM